org.apache.hc.client5.http.protocol

## Class RequestExpectContinue

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestExpectContinue

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpRequestInterceptor

    @Contract(threading=IMMUTABLE)
    public class RequestExpectContinue
    extends Object
    implements org.apache.hc.core5.http.HttpRequestInterceptor

RequestExpectContinue is responsible for enabling the 'expect-continue' handshake by adding `Expect` header.

This interceptor takes into account `RequestConfig.isExpectContinueEnabled()` setting.

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`RequestExpectContinue()`

### Method Summary

Methods
`void` `process(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entity, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestExpectContinue

    public RequestExpectContinue()

### Method Detail

#### process

    public void process(org.apache.hc.core5.http.HttpRequest request,
               org.apache.hc.core5.http.EntityDetails entity,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.hc.core5.http.HttpRequestInterceptor`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`